; The CMD file.
;
; Two parts: 1. Command definition and  2. State entry
; (state entry is after the commands def section)
;
; 1. Command definition
; ---------------------
; Note: The commands are CASE-SENSITIVE, and so are the command names.
; The eight directions are:
;   B, DB, D, DF, F, UF, U, UB     (all CAPS)
;   corresponding to back, down-back, down, downforward, etc.
; The six buttons are:
;   a, b, c, x, y, z               (all lower case)
;   In default key config, abc are are the bottom, and xyz are on the
;   top row. For 2 button characters, we recommend you use a and b.
;   For 6 button characters, use abc for kicks and xyz for punches.
;
; Each [Command] section defines a command that you can use for
; state entry, as well as in the CNS file.
; The command section should look like:
;
;   [Command]
;   name = some_name
;   command = the_command
;   time = time (optional)
;   buffer.time = time (optional)
;
; - some_name
;   A name to give that command. You'll use this name to refer to
;   that command in the state entry, as well as the CNS. It is case-
;   sensitive (QCB_a is NOT the same as Qcb_a or QCB_A).
;
; - command
;   list of buttons or directions, separated by commas. Each of these
;   buttons or directions is referred to as a "symbol".
;   Directions and buttons can be preceded by special characters:
;   slash (/) - means the key must be held down
;          egs. command = /D       ;hold the down direction
;               command = /DB, a   ;hold down-back while you press a
;   tilde (~) - to detect key releases
;          egs. command = ~a       ;release the a button
;               command = ~D, F, a ;release down, press fwd, then a
;          If you want to detect "charge moves", you can specify
;          the time the key must be held down for (in game-ticks)
;          egs. command = ~30a     ;hold a for at least 30 ticks, then release
;   dollar ($) - Direction-only: detect as 4-way
;          egs. command = $D       ;will detect if D, DB or DF is held
;               command = $B       ;will detect if B, DB or UB is held
;   plus (+) - Buttons only: simultaneous press
;          egs. command = a+b      ;press a and b at the same time
;               command = x+y+z    ;press x, y and z at the same time
;   greater-than (>) - means there must be no other keys pressed or released
;                      between the previous and the current symbol.
;          egs. command = a, >~a   ;press a and release it without having hit
;                                  ;or released any other keys in between
;   You can combine the symbols:
;     eg. command = ~30$D, a+b     ;hold D, DB or DF for 30 ticks, release,
;                                  ;then press a and b together
;
;   Note: Successive direction symbols are always expanded in a manner similar
;         to this example:
;           command = F, F
;         is expanded when MUGEN reads it, to become equivalent to:
;           command = F, >~F, >F
;
;   It is recommended that for most "motion" commads, eg. quarter-circle-fwd,
;   you start off with a "release direction". This makes the command easier
;   to do.
;
; - time (optional)
;   Time allowed to do the command, given in game-ticks. The default
;   value for this is set in the [Defaults] section below. A typical
;   value is 15.
;
; - buffer.time (optional)
;   Time that the command will be buffered for. If the command is done
;   successfully, then it will be valid for this time. The simplest
;   case is to set this to 1. That means that the command is valid
;   only in the same tick it is performed. With a higher value, such
;   as 3 or 4, you can get a "looser" feel to the command. The result
;   is that combos can become easier to do because you can perform
;   the command early. Attacks just as you regain control (eg. from
;   getting up) also become easier to do. The side effect of this is
;   that the command is continuously asserted, so it will seem as if
;   you had performed the move rapidly in succession during the valid
;   time. To understand this, try setting buffer.time to 30 and hit
;   a fast attack, such as KFM's light punch.
;   The default value for this is set in the [Defaults] section below. 
;   This parameter does not affect hold-only commands (eg. /F). It
;   will be assumed to be 1 for those commands.
;
; If you have two or more commands with the same name, all of them will
; work. You can use it to allow multiple motions for the same move.
;
; Some common commands examples are given below.
;
; [Command] ;Quarter circle forward + x
; name = "QCF_x"
; command = ~D, DF, F, x
;
; [Command] ;Half circle back + a
; name = "HCB_a"
; command = ~F, DF, D, DB, B, a
;
; [Command] ;Two quarter circles forward + y
; name = "2QCF_y"
; command = ~D, DF, F, D, DF, F, y
;
; [Command] ;Tap b rapidly
; name = "5b"
; command = b, b, b, b, b
; time = 30
;
; [Command] ;Charge back, then forward + z
; name = "charge_B_F_z"
; command = ~60$B, F, z
; time = 10
;
; [Command] ;Charge down, then up + c
; name = "charge_D_U_c"
; command = ~60$D, U, c
; time = 10


;-| Button Remapping |-----------------------------------------------------
; This section lets you remap the player's buttons (to easily change the
; button configuration). The format is:
;   old_button = new_button
; If new_button is left blank, the button cannot be pressed.
[Remap]
x = x
y = y
z = z
a = a
b = b
c = c
s = s

;-| Default Values |-------------------------------------------------------
[Defaults]
; Default value for the "time" parameter of a Command. Minimum 1.
command.time = 15

; Default value for the "buffer.time" parameter of a Command. Minimum 1,
; maximum 30.
command.buffer.time = 1


;----------------------------------------AI僐儅儞僪
;---------------------------------------------------------------------------
;AI梡
;---------------------------------------------------------------------------
[Command]
name = "AI0"
command = a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a
time = 0
[Command]
name = "AI1"
command = b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b
time = 0
[Command]
name = "AI2"
command = c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c
time = 0
[Command]
name = "AI3"
command = x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x
time = 0
[Command]
name = "AI4"
command = y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y
time = 0
[Command]
name = "AI5"
command = z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z
time = 0
[Command]
name = "AI6"
command = s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s
time = 0
[Command]
name = "AI7"
command = F,F,F,F,F,F,F,F,F,F,F,F,F,F,F,F,F,F,F
time = 0
[Command]
name = "AI8"
command = D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D
time = 0
[Command]
name = "AI9"
command = B,B,B,B,B,B,B,B,B,B,B,B,B,B,B,B,B,B,B
time = 0
[Command]
name = "AI10"
command = U,U,U,U,U,U,U,U,U,U,U,U,U,U,U,U,U,U,U
time = 0
[Command]
name = "AI11"
command = a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a
time = 0
[Command]
name = "AI12"
command = c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c
time = 0
[Command]
name = "AI13"
command = x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x
time = 0
[Command]
name = "AI14"
command = y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y
time = 0
[Command]
name = "AI15"
command = z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z
time = 0
[Command]
name = "AI16"
command = s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s
time = 0
[Command]
name = "AI17"
command = a,B,c,x,y,z,s,B,D,F,U,a,b,c,x,y,z,s,s
time = 0
[Command]
name = "AI18"
command = a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a
time = 0
[Command]
name = "AI19"
command = b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b
time = 0
[Command]
name = "AI20"
command = c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c
time = 0
[Command]
name = "AI21"
command = x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x
time = 0
[Command]
name = "AI22"
command = y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y
time = 0
[Command]
name = "AI23"
command = z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z
time = 0
[Command]
name = "AI24"
command = s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s
time = 0
[Command]
name = "AI25"
command = F,F,F,F,F,F,F,F,F,F,F,F,F,F,F,F,F,F,F
time = 0
[Command]
name = "AI26"
command = D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D
time = 0
[Command]
name = "AI27"
command = B,B,B,B,B,B,B,B,B,B,B,B,B,B,B,B,B,B,B
time = 0
[Command]
name = "AI28"
command = U,U,U,U,U,U,U,U,U,U,U,U,U,U,U,U,U,U,U
time = 0
[Command]
name = "AI29"
command = a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a
time = 0
[Command]
name = "AI30"
command = c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c
time = 0
[Command]
name = "AI31"
command = x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x
time = 0
[Command]
name = "AI32"
command = y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y
time = 0
[Command]
name = "AI33"
command = z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z
time = 0
[Command]
name = "AI34"
command = s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s
time = 0
[Command]
name = "AI35"
command = z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z
time = 0
[Command]
name = "AI36"
command = z,z,z,z,z,z,a,a,a,z,z,z,z,z,z,z,z,z,z
time = 0
[Command]
name = "AI37"
command = z,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,z,z,z
time = 0
[Command]
name = "AI38"
command = z,z,z,z,z,a,a,a,z,z,z,z,z,a,a,a,z,z,z
time = 0
[Command]
name = "AI39"
command = z,z,z,z,z,a,a,a,z,z,z,z,z,z,a,a,z,z,z
time = 0
[Command]
name = "AI40"
command = z,z,z,z,a,a,a,z,z,z,z,a,z,z,a,a,z,z,z
time = 0
[Command]
name = "AI41"
command = z,z,z,a,z,z,z,z,z,z,z,z,z,a,a,z,z,z,z
time = 0
[Command]
name = "AI42"
command = z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z
time = 0
[Command]
name = "AI43"
command = z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,a,a,z
time = 0
[Command]
name = "AI44"
command = z,z,a,a,a,a,z,z,z,z,z,z,z,z,z,a,a,a,z
time = 0
[Command]
name = "AI45"
command = z,z,z,z,z,z,a,a,z,z,z,z,z,a,a,a,a,z,z
time = 0
[Command]
name = "AI46"
command = z,z,z,z,z,z,z,z,a,a,a,a,a,a,z,z,z,z,z
time = 0
[Command]
name = "AI47"
command = z,z,z,a,a,a,a,z,z,z,z,z,z,z,z,z,z,z,z
time = 0
[Command]
name = "AI48"
command = z,z,z,z,z,a,a,a,z,z,z,a,a,a,z,z,a,z,a
time = 0
[Command]
name = "AI49"
command = z,z,z,z,a,a,a,z,z,z,z,z,a,a,a,z,z,z,z
time = 0
[Command]
name = "AI50"
command = z,z,z,a,a,z,z,z,z,z,z,z,z,z,a,a,z,z,z
time = 0

;---------------------------------------------------------------------------
;僗僉儖僐儅儞僪
;---------------------------------------------------------------------------
[Command]
name = "236a"
command = ~D, DF, F, a
time = 15

[Command]
name = "236b"
command = ~D, DF, F, b
time = 15

[Command]
name = "236c"
command = ~D, DF, F, c
time = 15

[Command]
name = "623a"
command = ~F, D, DF, a
time = 18

[Command]
name = "623b"
command = ~F, D, DF, b
time = 18

[Command]
name = "214a"
command = ~D, DB, B, a
time = 15

[Command]
name = "214b"
command = ~D, DB, B, b
time = 15

[Command]
name = "214c"
command = ~D, DB, B, c
time = 15

[Command]
name = "421a"
command = ~B, D, DB, a
time = 18

[Command]
name = "421b"
command = ~B, D, DB, b
time = 18

[Command]
name = "22a"
command = ~D, D, a
time = 15

[Command]
name = "22b"
command = ~D, D, b
time = 15

;-| Double Tap |-----------------------------------------------------------
[Command]
name = "FF"     ;Required (do not remove)
command = F, F
time = 10

[Command]
name = "BB"     ;Required (do not remove)
command = B, B
time = 10

;-| 2/3 Button Combination |-----------------------------------------------
[Command]
name = "recovery";Required (do not remove)
command = x+y
time = 1

;-| Dir + Button |---------------------------------------------------------
[Command]
name = "down_a"
command = /$D,a
time = 1

[Command]
name = "down_b"
command = /$D,b
time = 1

;-| Single Button |---------------------------------------------------------
[Command]
name = "a"
command = a
time = 1

[Command]
name = "b"
command = b
time = 1

[Command]
name = "c"
command = c
time = 1

[Command]
name = "x"
command = x
time = 1

[Command]
name = "y"
command = y
time = 1

[Command]
name = "z"
command = z
time = 1

[Command]
name = "start"
command = s
time = 1

;-| Hold Dir |--------------------------------------------------------------
[Command]
name = "holdfwd";Required (do not remove)
command = /$F
time = 1

[Command]
name = "holdback";Required (do not remove)
command = /$B
time = 1

[Command]
name = "holdup" ;Required (do not remove)
command = /$U
time = 1

[Command]
name = "holddown";Required (do not remove)
command = /$D
time = 1

;---------------------------------------------------------------------------
; 2. State entry
; --------------
; This is where you define what commands bring you to what states.
;
; Each state entry block looks like:
;   [State -1, Label]           ;Change Label to any name you want to use to
;                               ;identify the state with.
;   type = ChangeState          ;Don't change this
;   value = new_state_number
;   trigger1 = command = command_name
;   . . .  (any additional triggers)
;
; - new_state_number is the number of the state to change to
; - command_name is the name of the command (from the section above)
; - Useful triggers to know:
;   - statetype
;       S, C or A : current state-type of player (stand, crouch, air)
;   - ctrl
;       0 or 1 : 1 if player has control. Unless "interrupting" another
;                move, you'll want ctrl = 1
;   - stateno
;       number of state player is in - useful for "move interrupts"
;   - movecontact
;       0 or 1 : 1 if player's last attack touched the opponent
;                useful for "move interrupts"
;
; Note: The order of state entry is important.
;   State entry with a certain command must come before another state
;   entry with a command that is the subset of the first.
;   For example, command "fwd_a" must be listed before "a", and
;   "fwd_ab" should come before both of the others.
;
; For reference on triggers, see CNS documentation.
;
; Just for your information (skip if you're not interested):
; This part is an extension of the CNS. "State -1" is a special state
; that is executed once every game-tick, regardless of what other state
; you are in.


; Don't remove the following line. It's required by the CMD standard.
[Statedef -1]

[State ];AI
type = varset 
trigger1 = Command = "AI0" 
trigger2 = Command = "AI1" 
trigger3 = Command = "AI2" 
trigger4 = Command = "AI3" 
trigger5 = Command = "AI4" 
trigger6 = Command = "AI5" 
trigger7 = Command = "AI6" 
trigger8 = Command = "AI7" 
trigger9 = Command = "AI8" 
trigger10 = Command = "AI9" 
trigger11 = Command = "AI10" 
trigger12 = Command = "AI11" 
trigger13 = Command = "AI12" 
trigger14 = Command = "AI13" 
trigger15 = Command = "AI14" 
trigger16 = Command = "AI15" 
trigger17 = Command = "AI16" 
trigger18 = Command = "AI17" 
trigger19 = Command = "AI18" 
trigger20 = Command = "AI19" 
trigger21 = Command = "AI20" 
trigger22 = Command = "AI21" 
trigger23 = Command = "AI22" 
trigger24 = Command = "AI23" 
trigger25 = Command = "AI24" 
trigger26 = Command = "AI25" 
trigger27 = Command = "AI26" 
trigger28 = Command = "AI27" 
trigger29 = Command = "AI28" 
trigger30 = Command = "AI29" 
trigger31 = Command = "AI30"  
trigger32 = Command = "AI31" 
trigger33 = Command = "AI32" 
trigger34 = Command = "AI33" 
trigger35 = Command = "AI34" 
trigger36 = Command = "AI35" 
trigger37 = Command = "AI36" 
trigger38 = Command = "AI37" 
trigger39 = Command = "AI38" 
trigger40 = Command = "AI39" 
trigger41 = Command = "AI40"
trigger42 = Command = "AI41" 
trigger43 = Command = "AI42" 
trigger44 = Command = "AI43" 
trigger45 = Command = "AI44"
trigger46 = Command = "AI45" 
trigger47 = Command = "AI46" 
trigger48 = Command = "AI47" 
trigger49 = Command = "AI48" 
trigger50 = Command = "AI49" 
trigger51 = Command = "AI50" 
var(59) = 1
ignorehitpause = 1


;===========================================================================
[State -2];埆怱桿場
type = Helper
triggerall = roundstate=2&&var(59)=0
triggerall = stateno=191
triggerall = command = "start"
trigger1 = numhelper(100)=0
trigger1 = numhelper(101)=0
trigger1 = numhelper(102)=0
trigger1 = numhelper(103)=0
trigger1 = numhelper(104)=0
trigger1 = numhelper(105)=0
trigger1 = numhelper(190)=0
name = "yuuin"
ID = 190
pos = 0,0
postype = p1
stateno = 10190
keyctrl = 0
;helpertype = player
ownpal = 1
facing = facing
supermovetime = 0
size.xscale=1
size.yscale=1
size.ground.back = 10
size.ground.front = 10
size.air.back = 10
size.air.front = 10

[State -2];摦
type = Helper
triggerall = roundstate=2
triggerall = stateno=191
triggerall = var(33)=0
triggerall = command != "holddown"
triggerall = command = "a"
trigger1 = numhelper(100)=0
trigger1 = numhelper(101)=0
trigger1 = numhelper(102)=0
trigger1 = numhelper(103)=0
trigger1 = numhelper(104)=0
trigger1 = numhelper(105)=0
trigger1 = numhelper(190)=0
name = "dou"
ID = 100
pos = 0,0
postype = p1
stateno = 7
keyctrl = 0
;helpertype = player
ownpal = 1
facing = facing
supermovetime = 0
size.xscale=1
size.yscale=1
size.ground.back = 10
size.ground.front = 10
size.air.back = 10
size.air.front = 10

[State -2];婲
type = Helper
triggerall = roundstate=2
triggerall = stateno=191
triggerall = var(34)=0
triggerall = command != "holddown"
triggerall = command = "b"
trigger1 = numhelper(100)=0
trigger1 = numhelper(101)=0
trigger1 = numhelper(102)=0
trigger1 = numhelper(103)=0
trigger1 = numhelper(104)=0
trigger1 = numhelper(105)=0
trigger1 = numhelper(190)=0
name = "ki"
ID = 101
pos = 0,0
postype = p1
stateno = 7
keyctrl = 0
;helpertype = player
ownpal = 1
facing = facing
supermovetime = 0
size.xscale=1
size.yscale=1
size.ground.back = 10
size.ground.front = 10
size.air.back = 10
size.air.front = 10

[State -2];桹
type = Helper
triggerall = roundstate=2
triggerall = stateno=191
triggerall = var(35)=0
triggerall = command != "holddown"
triggerall = command = "c"
trigger1 = numhelper(100)=0
trigger1 = numhelper(101)=0
trigger1 = numhelper(102)=0
trigger1 = numhelper(103)=0
trigger1 = numhelper(104)=0
trigger1 = numhelper(105)=0
trigger1 = numhelper(190)=0
name = "yuu"
ID = 102
pos = 0,0
postype = p1
stateno = 7
keyctrl = 0
;helpertype = player
ownpal = 1
facing = facing
supermovetime = 0
size.xscale=1
size.yscale=1
size.ground.back = 10
size.ground.front = 10
size.air.back = 10
size.air.front = 10

[State -2];妎
type = Helper
triggerall = roundstate=2
triggerall = stateno=191
triggerall = var(36)=0
triggerall = command = "holddown"
triggerall = command = "a"
trigger1 = numhelper(100)=0
trigger1 = numhelper(101)=0
trigger1 = numhelper(102)=0
trigger1 = numhelper(103)=0
trigger1 = numhelper(104)=0
trigger1 = numhelper(105)=0
trigger1 = numhelper(190)=0
name = "kaku"
ID = 103
pos = 0,0
postype = p1
stateno = 7
keyctrl = 0
;helpertype = player
ownpal = 1
facing = facing
supermovetime = 0
size.xscale=1
size.yscale=1
size.ground.back = 10
size.ground.front = 10
size.air.back = 10
size.air.front = 10

[State -2];恔
type = Helper
triggerall = roundstate=2
triggerall = stateno=191
triggerall = var(37)=0
triggerall = command = "holddown"
triggerall = command = "b"
trigger1 = numhelper(100)=0
trigger1 = numhelper(101)=0
trigger1 = numhelper(102)=0
trigger1 = numhelper(103)=0
trigger1 = numhelper(104)=0
trigger1 = numhelper(105)=0
trigger1 = numhelper(190)=0
name = "sin"
ID = 104
pos = 0,0
postype = p1
stateno = 7
keyctrl = 0
;helpertype = player
ownpal = 1
facing = facing
supermovetime = 0
size.xscale=1
size.yscale=1
size.ground.back = 10
size.ground.front = 10
size.air.back = 10
size.air.front = 10

[State -2];欋
type = Helper
triggerall = roundstate=2
triggerall = stateno=191
triggerall = var(38)=0
triggerall = command = "holddown"
triggerall = command = "c"
trigger1 = numhelper(100)=0
trigger1 = numhelper(101)=0
trigger1 = numhelper(102)=0
trigger1 = numhelper(103)=0
trigger1 = numhelper(104)=0
trigger1 = numhelper(105)=0
trigger1 = numhelper(190)=0
name = "kou"
ID = 105
pos = 0,0
postype = p1
stateno = 7
keyctrl = 0
;helpertype = player
ownpal = 1
facing = facing
supermovetime = 0
size.xscale=1
size.yscale=1
size.ground.back = 10
size.ground.front = 10
size.air.back = 10
size.air.front = 10

[State ];
type = varset
fvar(25) = atan(p2dist y/p2dist x)*180/pi
trigger1 = !Ishelper

;---------------------------------------------------------------------------
[State ];挦敱
type = varset
var(25) = 200
triggerall = roundstate=2&&var(59)=0
triggerall = var(0)!=0
triggerall = var(25)=0
triggerall = stateno!=193
triggerall = stateno<3000
triggerall = command = "start"
trigger1 = movetype!=H

[State ];慞埆晄擇
type = ChangeState
value = 3000
triggerall = roundstate=2&&var(59)=0
triggerall = statetype != A
triggerall = var(0)!=0
triggerall = power>=1000
triggerall = command = "236c"
trigger1 = ctrl
trigger2 = stateno=200
trigger2 = helper(13),movecontact>10
trigger3 = stateno=210
trigger3 = helper(13),movecontact>15
trigger4 = stateno=230
trigger4 = helper(13),movecontact>10
trigger5 = stateno=240
trigger5 = helper(13),movecontact>20
trigger6 = stateno=300
trigger6 = helper(13),movecontact>10
trigger7 = stateno=310
trigger7 = helper(13),movecontact>15
trigger8 = stateno=1000
trigger8 = animelemtime(8)>=0
trigger9 = stateno=1100
trigger9 = AnimElemtime(7)>=20
trigger10 = stateno=1200
trigger10 = helper(13),movecontact>30
trigger11 = stateno=1300
trigger11 = helper(13),movecontact>20
trigger12 = stateno=1400
trigger12 = helper(13),movecontact>30
trigger13 = stateno=1500
trigger13 = helper(13),movecontact>30
trigger14 = stateno=1600
trigger14 = AnimElemtime(12) >= 50
trigger15 = stateno=1700
trigger15 = AnimElemtime(7) >= 5

[State ];慞埆晄擇
type = ChangeState
value = 3001
triggerall = roundstate=2&&var(59)=0
triggerall = statetype = A
triggerall = var(0)!=0
triggerall = power>=1000
triggerall = command = "236c"
trigger1 = ctrl
trigger2 = stateno=400
trigger2 = helper(13),movecontact>10
trigger3 = stateno=410
trigger3 = helper(13),movecontact>15
trigger4 = stateno=1001
trigger4 = animelemtime(8)>=0

[State ];慞埆柍婰
type = ChangeState
value = 3100
triggerall = roundstate=2&&var(59)=0
triggerall = statetype != A
triggerall = var(0)!=0
triggerall = power>=3000
triggerall = command = "214c"
trigger1 = ctrl
trigger2 = stateno=200
trigger2 = helper(13),movecontact>10
trigger3 = stateno=210
trigger3 = helper(13),movecontact>15
trigger4 = stateno=230
trigger4 = helper(13),movecontact>10
trigger5 = stateno=240
trigger5 = helper(13),movecontact>20
trigger6 = stateno=300
trigger6 = helper(13),movecontact>10
trigger7 = stateno=310
trigger7 = helper(13),movecontact>15
trigger8 = stateno=1000
trigger8 = animelemtime(8)>=0
trigger9 = stateno=1100
trigger9 = AnimElemtime(7)>=20
trigger10 = stateno=1200
trigger10 = helper(13),movecontact>30
trigger11 = stateno=1300
trigger11 = helper(13),movecontact>20
trigger12 = stateno=1400
trigger12 = helper(13),movecontact>30
trigger13 = stateno=1500
trigger13 = helper(13),movecontact>30
trigger14 = stateno=1600
trigger14 = AnimElemtime(12) >= 50
trigger15 = stateno=1700
trigger15 = AnimElemtime(7) >= 5

[State ];埆摴椫夢
type = ChangeState
value = 1000
triggerall = roundstate=2&&var(59)=0
triggerall = statetype != A
triggerall = var(0)!=0
triggerall = command = "22a"
trigger1 = ctrl
trigger2 = stateno=200
trigger2 = helper(13),movecontact>10
trigger3 = stateno=210
trigger3 = helper(13),movecontact>15
trigger4 = stateno=230
trigger4 = helper(13),movecontact>10
trigger5 = stateno=240
trigger5 = helper(13),movecontact>20
trigger6 = stateno=300
trigger6 = helper(13),movecontact>10
trigger7 = stateno=310
trigger7 = helper(13),movecontact>15
[State ];埆摴椫夢
type = ChangeState
value = 1001
triggerall = roundstate=2&&var(59)=0
triggerall = statetype = A
triggerall = var(0)!=0
triggerall = command = "22a"
trigger1 = ctrl
trigger2 = stateno=400
trigger2 = helper(13),movecontact>10
trigger3 = stateno=410
trigger3 = helper(13),movecontact>15

[State ];埆尒媮摴
type = ChangeState
value = 1100
triggerall = roundstate=2&&var(59)=0
triggerall = statetype != A
triggerall = var(0)!=0
triggerall = command = "22b"
trigger1 = ctrl
trigger2 = stateno=200
trigger2 = helper(13),movecontact>10
trigger3 = stateno=210
trigger3 = helper(13),movecontact>15
trigger4 = stateno=230
trigger4 = helper(13),movecontact>10
trigger5 = stateno=240
trigger5 = helper(13),movecontact>20
trigger6 = stateno=300
trigger6 = helper(13),movecontact>10
trigger7 = stateno=310
trigger7 = helper(13),movecontact>15

[State ];埆嬈-奞-
type = ChangeState
value = 1400
triggerall = roundstate=2&&var(59)=0
triggerall = statetype != A
triggerall = var(0)!=0
triggerall = var(15)!=0
triggerall = command = "623a"
trigger1 = ctrl
trigger2 = stateno=200
trigger2 = helper(13),movecontact>10
trigger3 = stateno=210
trigger3 = helper(13),movecontact>15
trigger4 = stateno=230
trigger4 = helper(13),movecontact>10
trigger5 = stateno=240
trigger5 = helper(13),movecontact>20
trigger6 = stateno=300
trigger6 = helper(13),movecontact>10
trigger7 = stateno=310
trigger7 = helper(13),movecontact>15

[State ];埆嬈-擸-
type = ChangeState
value = 1500
triggerall = roundstate=2&&var(59)=0
triggerall = statetype != A
triggerall = var(0)!=0
triggerall = var(16)!=0
triggerall = command = "623b"
trigger1 = ctrl
trigger2 = stateno=200
trigger2 = helper(13),movecontact>10
trigger3 = stateno=210
trigger3 = helper(13),movecontact>15
trigger4 = stateno=230
trigger4 = helper(13),movecontact>10
trigger5 = stateno=240
trigger5 = helper(13),movecontact>20
trigger6 = stateno=300
trigger6 = helper(13),movecontact>10
trigger7 = stateno=310
trigger7 = helper(13),movecontact>15

[State ];埆嬈-鎧-
type = ChangeState
value = 1200
triggerall = roundstate=2&&var(59)=0
triggerall = statetype != A
triggerall = var(0)!=0
triggerall = var(13)!=0
triggerall = command = "236a"
trigger1 = ctrl
trigger2 = stateno=200
trigger2 = helper(13),movecontact>10
trigger3 = stateno=210
trigger3 = helper(13),movecontact>15
trigger4 = stateno=230
trigger4 = helper(13),movecontact>10
trigger5 = stateno=240
trigger5 = helper(13),movecontact>20
trigger6 = stateno=300
trigger6 = helper(13),movecontact>10
trigger7 = stateno=310
trigger7 = helper(13),movecontact>15

[State ];埆嬈-閬-
type = ChangeState
value = 1300
triggerall = roundstate=2&&var(59)=0
triggerall = statetype != A
triggerall = var(0)!=0
triggerall = var(14)!=0
triggerall = command = "236b"
trigger1 = ctrl
trigger2 = stateno=200
trigger2 = helper(13),movecontact>10
trigger3 = stateno=210
trigger3 = helper(13),movecontact>15
trigger4 = stateno=230
trigger4 = helper(13),movecontact>10
trigger5 = stateno=240
trigger5 = helper(13),movecontact>20
trigger6 = stateno=300
trigger6 = helper(13),movecontact>10
trigger7 = stateno=310
trigger7 = helper(13),movecontact>15

[State ];埆嬈-鎠-
type = ChangeState
value = 1600
triggerall = roundstate=2&&var(59)=0
triggerall = statetype != A
triggerall = var(0)!=0
triggerall = var(17)!=0
triggerall = command = "214a"
trigger1 = ctrl
trigger2 = stateno=200
trigger2 = helper(13),movecontact>10
trigger3 = stateno=210
trigger3 = helper(13),movecontact>15
trigger4 = stateno=230
trigger4 = helper(13),movecontact>10
trigger5 = stateno=240
trigger5 = helper(13),movecontact>20
trigger6 = stateno=300
trigger6 = helper(13),movecontact>10
trigger7 = stateno=310
trigger7 = helper(13),movecontact>15

[State ];埆嬈-崷-
type = ChangeState
value = 1700
triggerall = roundstate=2&&var(59)=0
triggerall = statetype != A
triggerall = var(0)!=0
triggerall = var(18)!=0
triggerall = command = "214b"
trigger1 = ctrl
trigger2 = stateno=200
trigger2 = helper(13),movecontact>10
trigger3 = stateno=210
trigger3 = helper(13),movecontact>15
trigger4 = stateno=230
trigger4 = helper(13),movecontact>10
trigger5 = stateno=240
trigger5 = helper(13),movecontact>20
trigger6 = stateno=300
trigger6 = helper(13),movecontact>10
trigger7 = stateno=310
trigger7 = helper(13),movecontact>15

;---------------------------------------------------------------------------
;
[State ];棫偪慜庛
type = ChangeState
value = 230
triggerall = roundstate=2&&var(59)=0
triggerall = statetype != A
triggerall = var(0)!=0
triggerall = command="holdfwd"
triggerall = command!="holddown"
triggerall = command = "a"
trigger1 = ctrl
trigger2 = stateno=200
trigger2 = helper(13),movecontact>10
trigger3 = stateno=300
trigger3 = helper(13),movecontact>10

[State ];棫偪慜嫮
type = ChangeState
value = 240
triggerall = roundstate=2&&var(59)=0
triggerall = statetype != A
triggerall = var(0)!=0
triggerall = command="holdfwd"
triggerall = command!="holddown"
triggerall = command = "b"
trigger1 = ctrl
trigger2 = stateno=200
trigger2 = helper(13),movecontact>10
trigger3 = stateno=210
trigger3 = helper(13),movecontact>15
trigger4 = stateno=230
trigger4 = helper(13),movecontact>10
trigger5 = stateno=300
trigger5 = helper(13),movecontact>10
trigger6 = stateno=310
trigger6 = helper(13),movecontact>15

[State ];孅傒庛
type = ChangeState
value = 300
triggerall = roundstate=2&&var(59)=0
triggerall = statetype != A
triggerall = var(0)!=0
triggerall = command="holddown"
triggerall = command = "a"
trigger1 = ctrl

[State ];孅傒嫮
type = ChangeState
value = 310
triggerall = roundstate=2&&var(59)=0
triggerall = statetype != A
triggerall = var(0)!=0
triggerall = command="holddown"
triggerall = command = "b"
trigger1 = ctrl
trigger2 = stateno=300
trigger2 = helper(13),movecontact>10
trigger3 = stateno=230
trigger3 = helper(13),movecontact>20

[State ];棫偪庛
type = ChangeState
value = 200
triggerall = roundstate=2&&var(59)=0
triggerall = statetype != A
triggerall = var(0)!=0
triggerall = command!="holddown"
triggerall = command = "a"
trigger1 = ctrl

[State ];棫偪嫮
type = ChangeState
value = 210
triggerall = roundstate=2&&var(59)=0
triggerall = statetype != A
triggerall = var(0)!=0
triggerall = command!="holddown"
triggerall = command = "b"
trigger1 = ctrl
trigger2 = stateno=200
trigger2 = helper(13),movecontact>10
trigger3 = stateno=230
trigger3 = helper(13),movecontact>20

[State ];嬻拞庛
type = ChangeState
value = 400
triggerall = roundstate=2&&var(59)=0
triggerall = statetype = A
triggerall = var(0)!=0
triggerall = command = "a"
trigger1 = ctrl

[State ];嬻拞嫮
type = ChangeState
value = 410
triggerall = roundstate=2&&var(59)=0
triggerall = statetype = A
triggerall = var(0)!=0
triggerall = command = "b"
trigger1 = ctrl
trigger2 = stateno=400
trigger2 = helper(13),movecontact>10


[State ];僟僢僔儏
type = ChangeState
value = 100
triggerall = roundstate=2&&var(59)=0
triggerall = statetype != A
triggerall = var(0)!=0
triggerall = command = "FF"
triggerall = var(13)!=0
triggerall = var(14)!=0
triggerall = var(15)!=0
triggerall = var(16)!=0
triggerall = var(17)!=0
triggerall = var(18)!=0
trigger1 = ctrl


;---------------------------------------------------------------------------AI

[State -2];埆怱桿場
type = Helper
triggerall = roundstate=2&&var(59)!=0
triggerall = stateno=191
triggerall = var(6)>400||var(7)=1
trigger1 = numhelper(100)=0
trigger1 = numhelper(101)=0
trigger1 = numhelper(102)=0
trigger1 = numhelper(103)=0
trigger1 = numhelper(104)=0
trigger1 = numhelper(105)=0
trigger1 = numhelper(190)=0
name = "yuuin"
ID = 190
pos = 0,0
postype = p1
stateno = 10190
keyctrl = 0
;helpertype = player
ownpal = 1
facing = facing
supermovetime = 0
size.xscale=1
size.yscale=1
size.ground.back = 10
size.ground.front = 10
size.air.back = 10
size.air.front = 10

[State -2];桹
type = Helper
triggerall = roundstate=2&&var(59)!=0
triggerall = stateno=191
triggerall = var(35)=0
triggerall = numhelper(100)=0&&numhelper(101)=0&&numhelper(102)=0&&numhelper(103)=0&&numhelper(104)=0&&numhelper(105)=0
triggerall = numhelper(190)=0
trigger1 = enemynear,HitDefAttr = SCA,NA,NP,NT
trigger2 = gametime%5=0
trigger2 = var(33)!=0
trigger3 = gametime%5=0
trigger3 = var(34)!=0
trigger3 = var(35)!=0
trigger3 = var(37)!=0
trigger4 = gametime%5=0
trigger4 = var(36)!=0
trigger4 = var(38)!=0
name = "yuu"
ID = 102
pos = 0,0
postype = p1
stateno = 7
keyctrl = 0
;helpertype = player
ownpal = 1
facing = facing
supermovetime = 0
size.xscale=1
size.yscale=1
size.ground.back = 10
size.ground.front = 10
size.air.back = 10
size.air.front = 10

[State -2];恔
type = Helper
triggerall = roundstate=2&&var(59)!=0
triggerall = stateno=191
triggerall = var(37)=0
triggerall = numhelper(100)=0&&numhelper(101)=0&&numhelper(102)=0&&numhelper(103)=0&&numhelper(104)=0&&numhelper(105)=0
triggerall = numhelper(190)=0
trigger1 = enemynear,HitDefAttr = SCA,SA,SP,ST
trigger2 = gametime%5=1
trigger2 = var(33)!=0
trigger3 = gametime%5=1
trigger3 = var(34)!=0
trigger3 = var(35)!=0
trigger3 = var(37)!=0
trigger4 = gametime%5=1
trigger4 = var(36)!=0
trigger4 = var(38)!=0
name = "sin"
ID = 104
pos = 0,0
postype = p1
stateno = 7
keyctrl = 0
;helpertype = player
ownpal = 1
facing = facing
supermovetime = 0
size.xscale=1
size.yscale=1
size.ground.back = 10
size.ground.front = 10
size.air.back = 10
size.air.front = 10

[State -2];欋
type = Helper
triggerall = roundstate=2&&var(59)!=0
triggerall = stateno=191
triggerall = var(38)=0
triggerall = numhelper(100)=0&&numhelper(101)=0&&numhelper(102)=0&&numhelper(103)=0&&numhelper(104)=0&&numhelper(105)=0
triggerall = numhelper(190)=0
trigger1 = enemynear,HitDefAttr = SCA,AP
trigger2 = gametime%5=2
trigger2 = var(33)!=0
trigger3 = gametime%5=2
trigger3 = var(34)!=0
trigger3 = var(35)!=0
trigger3 = var(37)!=0
trigger4 = gametime%5=2
trigger4 = var(36)!=0
trigger4 = var(38)!=0
name = "kou"
ID = 105
pos = 0,0
postype = p1
stateno = 7
keyctrl = 0
;helpertype = player
ownpal = 1
facing = facing
supermovetime = 0
size.xscale=1
size.yscale=1
size.ground.back = 10
size.ground.front = 10
size.air.back = 10
size.air.front = 10

[State -2];妎
type = Helper
triggerall = roundstate=2&&var(59)!=0
triggerall = stateno=191
triggerall = var(36)=0
triggerall = numhelper(100)=0&&numhelper(101)=0&&numhelper(102)=0&&numhelper(103)=0&&numhelper(104)=0&&numhelper(105)=0
triggerall = numhelper(190)=0
trigger1 = enemynear,HitDefAttr = SCA,AA,AT
trigger2 = gametime%5=3
trigger2 = var(33)!=0
trigger3 = gametime%5=3
trigger3 = var(34)!=0
trigger3 = var(35)!=0
trigger3 = var(37)!=0
trigger4 = gametime%5=3
trigger4 = var(36)!=0
trigger4 = var(38)!=0
name = "kaku"
ID = 103
pos = 0,0
postype = p1
stateno = 7
keyctrl = 0
;helpertype = player
ownpal = 1
facing = facing
supermovetime = 0
size.xscale=1
size.yscale=1
size.ground.back = 10
size.ground.front = 10
size.air.back = 10
size.air.front = 10

[State -2];婲
type = Helper
triggerall = roundstate=2&&var(59)!=0
triggerall = stateno=191
triggerall = var(34)=0
triggerall = numhelper(100)=0&&numhelper(101)=0&&numhelper(102)=0&&numhelper(103)=0&&numhelper(104)=0&&numhelper(105)=0
triggerall = numhelper(190)=0
trigger1 = enemynear,HitDefAttr = SCA,HA,HP,HT
trigger2 = gametime%5=4
trigger2 = var(33)!=0
trigger3 = gametime%5=4
trigger3 = var(34)!=0
trigger3 = var(35)!=0
trigger3 = var(37)!=0
trigger4 = gametime%5=4
trigger4 = var(36)!=0
trigger4 = var(38)!=0
name = "ki"
ID = 101
pos = 0,0
postype = p1
stateno = 7
keyctrl = 0
;helpertype = player
ownpal = 1
facing = facing
supermovetime = 0
size.xscale=1
size.yscale=1
size.ground.back = 10
size.ground.front = 10
size.air.back = 10
size.air.front = 10

[State -2];摦
type = Helper
triggerall = roundstate=2&&var(59)!=0
triggerall = stateno=191
triggerall = var(33)=0
triggerall = inguarddist
triggerall = numhelper(190)=0
trigger1 = numhelper(100)=0
trigger1 = numhelper(101)=0
trigger1 = numhelper(102)=0
trigger1 = numhelper(103)=0
trigger1 = numhelper(104)=0
trigger1 = numhelper(105)=0
name = "dou"
ID = 100
pos = 0,0
postype = p1
stateno = 7
keyctrl = 0
;helpertype = player
ownpal = 1
facing = facing
supermovetime = 0
size.xscale=1
size.yscale=1
size.ground.back = 10
size.ground.front = 10
size.air.back = 10
size.air.front = 10

[State ];挦敱
type = varset
var(25) = 200
triggerall = roundstate=2&&var(59)!=0
triggerall = var(0)!=0
triggerall = var(25)=0
triggerall = stateno!=193
triggerall = stateno<3000
triggerall = movetype!=H
triggerall = enemynear,movetype=H || animtime=0 && stateno=[1200,1800]
trigger1 = Floor(var(2)*0.1+90+90*facing)%360-180=[fvar(25)-15,fvar(25)+15]
trigger2 = Floor(var(2)*0.1+210+90*facing)%360-180=[fvar(25)-15,fvar(25)+15]
trigger3 = Floor(var(2)*0.1+330+90*facing)%360-180=[fvar(25)-15,fvar(25)+15]
trigger4 = var(13)!=0
trigger4 = Floor(var(2)*0.1+130+90*facing)%360-180=[fvar(25)-20,fvar(25)+20]
trigger5 = var(14)!=0
trigger5 = Floor(var(2)*0.1+170+90*facing)%360-180=[fvar(25)-20,fvar(25)+20]
trigger6 = var(15)!=0
trigger6 = Floor(var(2)*0.1+250+90*facing)%360-180=[fvar(25)-20,fvar(25)+20]
trigger7 = var(16)!=0
trigger7 = Floor(var(2)*0.1+290+90*facing)%360-180=[fvar(25)-20,fvar(25)+20]
trigger8 = var(17)!=0
trigger8 = Floor(var(2)*0.1+370+90*facing)%360-180=[fvar(25)-20,fvar(25)+20]
trigger9 = var(18)!=0
trigger9 = Floor(var(2)*0.1+410+90*facing)%360-180=[fvar(25)-20,fvar(25)+20]

[State ];埆摴椫夢
type = ChangeState
value = 1000
triggerall = roundstate=2&&var(59)!=0
triggerall = statetype != A
triggerall = var(0)!=0
triggerall = var(0)<100
triggerall = numhelper(1010)=0||numhelper(1010)=1&&helper(1010),var(4)>800
trigger1 = ctrl
trigger2 = stateno=200
trigger2 = helper(13),movecontact>10
trigger3 = stateno=210
trigger3 = helper(13),movecontact>15
trigger4 = stateno=230
trigger4 = helper(13),movecontact>10
trigger5 = stateno=240
trigger5 = helper(13),movecontact>20
trigger6 = stateno=300
trigger6 = helper(13),movecontact>10
trigger7 = stateno=310
trigger7 = helper(13),movecontact>15
[State ];埆摴椫夢
type = ChangeState
value = 1001
triggerall = roundstate=2&&var(59)!=0
triggerall = statetype = A
triggerall = var(0)<100
triggerall = numhelper(1010)=0||numhelper(1010)=1&&helper(1010),var(4)>800
trigger1 = ctrl
trigger2 = stateno=400
trigger2 = helper(13),movecontact>10
trigger3 = stateno=410
trigger3 = helper(13),movecontact>15

[State ];埆尒媮摴
type = ChangeState
value = 1100
triggerall = roundstate=2&&var(59)!=0
triggerall = statetype != A
triggerall = var(0)!=0
triggerall = var(0)>=100
trigger1 = random<200
trigger1 = P2Dist x = [-100,100]
trigger1 = P2Dist y = [-240,-80]
trigger1 = ctrl
trigger2= numhelper(1110)=0
trigger2 = random<100
trigger2 = P2Dist x = [30,200]
trigger2 = P2Dist y = 0
trigger2 = ctrl

[State ];埆嬈-鎧-
type = ChangeState
value = 1200
triggerall = roundstate=2&&var(59)!=0
triggerall = statetype != A
triggerall = var(0)!=0
triggerall = var(13)!=0
triggerall = gametime%6=0
trigger1 = p2dist x =[1,320]
trigger1 = inguarddist || enemynear,movetype=H
trigger1 = ctrl
trigger2 = stateno=200
trigger2 = helper(13),movecontact>10
trigger3 = stateno=210
trigger3 = helper(13),movecontact>15
trigger4 = stateno=230
trigger4 = helper(13),movecontact>10
trigger5 = stateno=240
trigger5 = helper(13),movecontact>20
trigger6 = stateno=300
trigger6 = helper(13),movecontact>10
trigger7 = stateno=310
trigger7 = helper(13),movecontact>15

[State ];埆嬈-閬-
type = ChangeState
value = 1300
triggerall = roundstate=2&&var(59)!=0
triggerall = statetype != A
triggerall = var(0)!=0
triggerall = var(14)!=0
triggerall = gametime%6=1
trigger1 = ctrl
trigger2 = stateno=200
trigger2 = helper(13),movecontact>10
trigger3 = stateno=210
trigger3 = helper(13),movecontact>15
trigger4 = stateno=230
trigger4 = helper(13),movecontact>10
trigger5 = stateno=240
trigger5 = helper(13),movecontact>20
trigger6 = stateno=300
trigger6 = helper(13),movecontact>10
trigger7 = stateno=310
trigger7 = helper(13),movecontact>15

[State ];埆嬈-奞-
type = ChangeState
value = 1400
triggerall = roundstate=2&&var(59)!=0
triggerall = statetype != A
triggerall = var(0)!=0
triggerall = var(15)!=0
triggerall = gametime%6=2
triggerall = P2Dist x =[0,150]
trigger1 = ctrl
trigger2 = stateno=200
trigger2 = helper(13),movecontact>10
trigger3 = stateno=210
trigger3 = helper(13),movecontact>15
trigger4 = stateno=230
trigger4 = helper(13),movecontact>10
trigger5 = stateno=240
trigger5 = helper(13),movecontact>20
trigger6 = stateno=300
trigger6 = helper(13),movecontact>10
trigger7 = stateno=310
trigger7 = helper(13),movecontact>15

[State ];埆嬈-擸-
type = ChangeState
value = 1500
triggerall = roundstate=2&&var(59)!=0
triggerall = statetype != A
triggerall = var(0)!=0
triggerall = var(16)!=0
triggerall = gametime%6=3
triggerall = P2Dist y =[-40,10]
trigger1 = enemynear,movetype=H ||random<500
trigger1 = ctrl
trigger2 = stateno=200
trigger2 = helper(13),movecontact>10
trigger3 = stateno=210
trigger3 = helper(13),movecontact>15
trigger4 = stateno=230
trigger4 = helper(13),movecontact>10
trigger5 = stateno=240
trigger5 = helper(13),movecontact>20
trigger6 = stateno=300
trigger6 = helper(13),movecontact>10
trigger7 = stateno=310
trigger7 = helper(13),movecontact>15

[State ];埆嬈-鎠-
type = ChangeState
value = 1600
triggerall = roundstate=2&&var(59)!=0
triggerall = statetype != A
triggerall = var(0)!=0
triggerall = var(17)!=0
triggerall = gametime%6=3
trigger1 = numhelper(1611)=0
trigger1 = ctrl
trigger2 = stateno=200
trigger2 = helper(13),movecontact>10
trigger3 = stateno=210
trigger3 = helper(13),movecontact>15
trigger4 = stateno=230
trigger4 = helper(13),movecontact>10
trigger5 = stateno=240
trigger5 = helper(13),movecontact>20
trigger6 = stateno=300
trigger6 = helper(13),movecontact>10
trigger7 = stateno=310
trigger7 = helper(13),movecontact>15

[State ];埆嬈-崷-
type = ChangeState
value = 1700
triggerall = roundstate=2&&var(59)!=0
triggerall = statetype != A
triggerall = var(0)!=0
triggerall = var(18)!=0
triggerall = gametime%6=5
trigger1 = ctrl

[State ];慞埆柍婰
type = ChangeState
value = 3100
triggerall = roundstate=2&&var(59)!=0
triggerall = statetype != A
triggerall = var(0)!=0
triggerall = power>=3000
triggerall = P2Dist x >0 ||life<200
triggerall = life<200 || stateno=1000
triggerall = var(0)<100 || var(13)=0
trigger1 = random<500
trigger1 = life<200
trigger1 = ctrl
trigger2 = stateno=240
trigger2 = helper(13),movecontact>20
trigger3 = stateno=1000
trigger3 = animelemtime(8)>=0
trigger4 = stateno=1700
trigger4 = AnimElemtime(7) >= 5
trigger4 = enemynear,stateno=[5000,5110]

[State ];慞埆晄擇
type = ChangeState
value = 3000
triggerall = roundstate=2&&var(59)!=0
triggerall = statetype != A
triggerall = var(0)!=0
triggerall = power>=1000
triggerall = P2Dist x >0
triggerall = P2Dist y =[-70,0]
trigger1 = life=lifemax
trigger1 = P2Dist x*0.5 >random+100
trigger1 = ctrl
trigger2 = stateno=240
trigger2 = helper(13),movehit>20
trigger3 = stateno=310
trigger3 = helper(13),movehit>15
trigger8 = stateno=1000
trigger8 = animelemtime(8)>=0
trigger8 = enemynear,stateno=[5000,5110]
trigger9 = stateno=1100
trigger9 = AnimElemtime(7)>=20
trigger9 = enemynear,stateno=[5000,5110]
trigger10 = stateno=1200
trigger10 = helper(13),movehit>30
trigger11 = stateno=1700
trigger11 = AnimElemtime(7) >= 5
trigger11 = enemynear,stateno=[5000,5110]

[State ];慞埆晄擇
type = ChangeState
value = 3001
triggerall = roundstate=2&&var(59)!=0
triggerall = statetype = A
triggerall = var(0)!=0
triggerall = power>=1000
triggerall = P2Dist x >0
triggerall = P2Dist y =[-70,0]
trigger1 = P2Dist x*0.5 >random+100
trigger1 = ctrl
trigger2 = stateno=400
trigger2 = helper(13),movecontact>10
trigger3 = stateno=410
trigger3 = helper(13),movecontact>15
trigger4 = stateno=1001
trigger4 = animelemtime(8)>=0

;
[State ];孅傒庛
type = ChangeState
value = 300
triggerall = roundstate=2&&var(59)!=0
triggerall = statetype != A
triggerall = var(0)!=0
triggerall = ctrl
triggerall = enemynear,movetype!=H
triggerall = enemynear,statetype=A
trigger1 = var(13)!=0
trigger1 = Floor(var(2)*0.1+130+90*facing)%360-180=[fvar(25)-20,fvar(25)+20]
trigger2 = var(14)!=0
trigger2 = Floor(var(2)*0.1+170+90*facing)%360-180=[fvar(25)-20,fvar(25)+20]
trigger3 = var(15)!=0
trigger3 = Floor(var(2)*0.1+250+90*facing)%360-180=[fvar(25)-20,fvar(25)+20]
trigger4 = var(16)!=0
trigger4 = Floor(var(2)*0.1+290+90*facing)%360-180=[fvar(25)-20,fvar(25)+20]
trigger5 = var(17)!=0
trigger5 = Floor(var(2)*0.1+370+90*facing)%360-180=[fvar(25)-20,fvar(25)+20]
trigger6 = var(18)!=0
trigger6 = Floor(var(2)*0.1+410+90*facing)%360-180=[fvar(25)-20,fvar(25)+20]
[State ];棫偪庛
type = ChangeState
value = 200
triggerall = roundstate=2&&var(59)!=0
triggerall = statetype != A
triggerall = var(0)!=0
triggerall = ctrl
triggerall = enemynear,movetype!=H
trigger1 = Floor(var(2)*0.1+90+90*facing)%360-180=[fvar(25)-25,fvar(25)+5]
trigger2 = Floor(var(2)*0.1+210+90*facing)%360-180=[fvar(25)-25,fvar(25)+5]
trigger3 = Floor(var(2)*0.1+330+90*facing)%360-180=[fvar(25)-25,fvar(25)+5]
trigger4 = var(13)!=0
trigger4 = Floor(var(2)*0.1+130+90*facing)%360-180=[fvar(25)-25,fvar(25)+5]
trigger5 = var(14)!=0
trigger5 = Floor(var(2)*0.1+170+90*facing)%360-180=[fvar(25)-25,fvar(25)+5]
trigger6 = var(15)!=0
trigger6 = Floor(var(2)*0.1+250+90*facing)%360-180=[fvar(25)-25,fvar(25)+5]
trigger7 = var(16)!=0
trigger7 = Floor(var(2)*0.1+290+90*facing)%360-180=[fvar(25)-25,fvar(25)+5]
trigger8 = var(17)!=0
trigger8 = Floor(var(2)*0.1+370+90*facing)%360-180=[fvar(25)-25,fvar(25)+5]
trigger9 = var(18)!=0
trigger9 = Floor(var(2)*0.1+410+90*facing)%360-180=[fvar(25)-25,fvar(25)+5]

[State ];棫偪慜庛
type = ChangeState
value = 230
triggerall = roundstate=2&&var(59)!=0
triggerall = statetype != A
triggerall = var(0)!=0
triggerall = ctrl
trigger1 = Floor(var(2)*0.1+90+90*facing)%360-180=[fvar(25)-5,fvar(25)+25]
trigger2 = Floor(var(2)*0.1+210+90*facing)%360-180=[fvar(25)-5,fvar(25)+25]
trigger3 = Floor(var(2)*0.1+330+90*facing)%360-180=[fvar(25)-5,fvar(25)+25]
trigger4 = var(13)!=0
trigger4 = Floor(var(2)*0.1+130+90*facing)%360-180=[fvar(25)-5,fvar(25)+35]
trigger5 = var(14)!=0
trigger5 = Floor(var(2)*0.1+170+90*facing)%360-180=[fvar(25)-5,fvar(25)+35]
trigger6 = var(15)!=0
trigger6 = Floor(var(2)*0.1+250+90*facing)%360-180=[fvar(25)-5,fvar(25)+35]
trigger7 = var(16)!=0
trigger7 = Floor(var(2)*0.1+290+90*facing)%360-180=[fvar(25)-5,fvar(25)+35]
trigger8 = var(17)!=0
trigger8 = Floor(var(2)*0.1+370+90*facing)%360-180=[fvar(25)-5,fvar(25)+35]
trigger9 = var(18)!=0
trigger9 = Floor(var(2)*0.1+410+90*facing)%360-180=[fvar(25)-5,fvar(25)+35]
[State ];棫偪慜庛
type = ChangeState
value = 230
triggerall = roundstate=2&&var(59)!=0
triggerall = statetype != A
triggerall = var(0)!=0
triggerall = p2dist y =0
triggerall = p2bodydist x =[0,30]
trigger1 = stateno=200
trigger1 = helper(13),movecontact>10
trigger2 = stateno=300
trigger2 = helper(13),movecontact>10

[State ];棫偪嫮
type = ChangeState
value = 210
triggerall = roundstate=2&&var(59)!=0
triggerall = statetype != A
triggerall = var(0)!=0
triggerall = ctrl
trigger1 = Floor(var(2)*0.1+90+90*facing)%360-180=[fvar(25),fvar(25)+20]
trigger2 = Floor(var(2)*0.1+210+90*facing)%360-180=[fvar(25),fvar(25)+20]
trigger3 = Floor(var(2)*0.1+330+90*facing)%360-180=[fvar(25),fvar(25)+20]
trigger4 = var(13)!=0
trigger4 = Floor(var(2)*0.1+130+90*facing)%360-180=[fvar(25),fvar(25)+20]
trigger5 = var(14)!=0
trigger5 = Floor(var(2)*0.1+170+90*facing)%360-180=[fvar(25),fvar(25)+20]
trigger6 = var(15)!=0
trigger6 = Floor(var(2)*0.1+250+90*facing)%360-180=[fvar(25),fvar(25)+20]
trigger7 = var(16)!=0
trigger7 = Floor(var(2)*0.1+290+90*facing)%360-180=[fvar(25),fvar(25)+20]
trigger8 = var(17)!=0
trigger8 = Floor(var(2)*0.1+370+90*facing)%360-180=[fvar(25),fvar(25)+20]
trigger9 = var(18)!=0
trigger9 = Floor(var(2)*0.1+410+90*facing)%360-180=[fvar(25),fvar(25)+20]
[State ];棫偪嫮
type = ChangeState
value = 210
triggerall = roundstate=2&&var(59)!=0
triggerall = statetype != A
triggerall = var(0)!=0
triggerall = p2dist y =[-40,0]
triggerall = p2bodydist x =[0,20]
trigger1 = stateno=200
trigger1 = helper(13),movecontact>10
trigger2 = stateno=230
trigger2 = helper(13),movecontact>10
trigger3 = stateno=300
trigger3 = helper(13),movecontact>10

[State ];棫偪慜嫮
type = ChangeState
value = 240
triggerall = roundstate=2&&var(59)!=0
triggerall = statetype != A
triggerall = var(0)!=0
triggerall = ctrl
trigger1 = Floor(var(2)*0.1+90+90*facing)%360-180=[fvar(25)+25,fvar(25)+55]
trigger2 = Floor(var(2)*0.1+210+90*facing)%360-180=[fvar(25)+25,fvar(25)+55]
trigger3 = Floor(var(2)*0.1+330+90*facing)%360-180=[fvar(25)+25,fvar(25)+55]
trigger4 = var(13)!=0
trigger4 = Floor(var(2)*0.1+130+90*facing)%360-180=[fvar(25)+25,fvar(25)+55]
trigger5 = var(14)!=0
trigger5 = Floor(var(2)*0.1+170+90*facing)%360-180=[fvar(25)+25,fvar(25)+55]
trigger6 = var(15)!=0
trigger6 = Floor(var(2)*0.1+250+90*facing)%360-180=[fvar(25)+25,fvar(25)+55]
trigger7 = var(16)!=0
trigger7 = Floor(var(2)*0.1+290+90*facing)%360-180=[fvar(25)+25,fvar(25)+55]
trigger8 = var(17)!=0
trigger8 = Floor(var(2)*0.1+370+90*facing)%360-180=[fvar(25)+25,fvar(25)+55]
trigger9 = var(18)!=0
trigger9 = Floor(var(2)*0.1+410+90*facing)%360-180=[fvar(25)+25,fvar(25)+55]
[State ];棫偪慜嫮
type = ChangeState
value = 240
triggerall = roundstate=2&&var(59)!=0
triggerall = statetype != A
triggerall = var(0)!=0
triggerall = p2dist y =[-40,0]
triggerall = p2bodydist x =[0,60]
trigger1 = stateno=200
trigger1 = helper(13),movecontact>10
trigger3 = stateno=210
trigger3 = helper(13),movecontact>15
trigger4 = stateno=230
trigger4 = helper(13),movecontact>10
trigger5 = stateno=300
trigger5 = helper(13),movecontact>10
trigger6 = stateno=310
trigger6 = helper(13),movecontact>15

[State ];孅傒嫮
type = ChangeState
value = 310
triggerall = roundstate=2&&var(59)!=0
triggerall = statetype != A
triggerall = var(0)!=0
triggerall = ctrl
triggerall = enemynear,statetype = A
trigger1 = Floor(var(2)*0.1+90+90*facing)%360-180=[fvar(25)+160,fvar(25)+200]
trigger2 = Floor(var(2)*0.1+210+90*facing)%360-180=[fvar(25)+160,fvar(25)+200]
trigger3 = Floor(var(2)*0.1+330+90*facing)%360-180=[fvar(25)+160,fvar(25)+200]
trigger4 = Floor(var(2)*0.1+90+90*facing)%360-180=[fvar(25)-180,fvar(25)-140]
trigger5 = Floor(var(2)*0.1+210+90*facing)%360-180=[fvar(25)-180,fvar(25)-140]
trigger6 = Floor(var(2)*0.1+330+90*facing)%360-180=[fvar(25)-180,fvar(25)-140]
[State ];棫偪嫮
type = ChangeState
value = 310
triggerall = roundstate=2&&var(59)!=0
triggerall = statetype != A
triggerall = var(0)!=0
triggerall = p2dist y <-40
trigger1 = stateno=200
trigger1 = helper(13),movecontact>10
trigger2 = stateno=230
trigger2 = helper(13),movecontact>10
trigger3 = stateno=300
trigger3 = helper(13),movecontact>10

[State ];嬻拞庛
type = ChangeState
value = 400
triggerall = roundstate=2&&var(59)!=0
triggerall = statetype = A
triggerall = var(0)!=0
triggerall = ctrl
trigger1 = Floor(var(2)*0.1+90+90*facing)%360-180=[fvar(25)-15,fvar(25)+15]
trigger2 = Floor(var(2)*0.1+210+90*facing)%360-180=[fvar(25)-15,fvar(25)+15]
trigger3 = Floor(var(2)*0.1+330+90*facing)%360-180=[fvar(25)-15,fvar(25)+15]
trigger4 = var(13)!=0
trigger4 = Floor(var(2)*0.1+130+90*facing)%360-180=[fvar(25)-20,fvar(25)+20]
trigger5 = var(14)!=0
trigger5 = Floor(var(2)*0.1+170+90*facing)%360-180=[fvar(25)-20,fvar(25)+20]
trigger6 = var(15)!=0
trigger6 = Floor(var(2)*0.1+250+90*facing)%360-180=[fvar(25)-20,fvar(25)+20]
trigger7 = var(16)!=0
trigger7 = Floor(var(2)*0.1+290+90*facing)%360-180=[fvar(25)-20,fvar(25)+20]
trigger8 = var(17)!=0
trigger8 = Floor(var(2)*0.1+370+90*facing)%360-180=[fvar(25)-20,fvar(25)+20]
trigger9 = var(18)!=0
trigger9 = Floor(var(2)*0.1+410+90*facing)%360-180=[fvar(25)-20,fvar(25)+20]

[State ];嬻拞嫮
type = ChangeState
value = 410
triggerall = roundstate=2&&var(59)!=0
triggerall = statetype = A
triggerall = var(0)!=0
triggerall = ctrl
trigger1 = Floor(var(2)*0.1+90+90*facing)%360-180=[fvar(25)+160,fvar(25)+200]
trigger2 = Floor(var(2)*0.1+210+90*facing)%360-180=[fvar(25)+160,fvar(25)+200]
trigger3 = Floor(var(2)*0.1+330+90*facing)%360-180=[fvar(25)+160,fvar(25)+200]
trigger4 = Floor(var(2)*0.1+90+90*facing)%360-180=[fvar(25)-180,fvar(25)-140]
trigger5 = Floor(var(2)*0.1+210+90*facing)%360-180=[fvar(25)-180,fvar(25)-140]
trigger6 = Floor(var(2)*0.1+330+90*facing)%360-180=[fvar(25)-180,fvar(25)-140]

[State -1]
type = ChangeState
value = 100
triggerall = roundstate=2
triggerall = var(59)!=0
triggerall = p2dist x >70
triggerall = Statetype !=A
triggerall = var(13)!=0
triggerall = var(14)!=0
triggerall = var(15)!=0
triggerall = var(16)!=0
triggerall = var(17)!=0
triggerall = var(18)!=0
trigger1 = stateno=[0,12]
trigger1 = ctrl

[State -1]
type = ChangeState
value = 20
triggerall = roundstate=2
triggerall = var(59)!=0
triggerall = p2dist x >50
triggerall = Statetype !=A
trigger1 = stateno=[0,12]
trigger1 = ctrl